﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace Quiz
{
    public partial class Form2 : Form
    {
        public QuizData quizData;
        public int[] num_questions;
        public int curr_question;
        public int[] answersAnalysis;
        int points;

        public Form2(QuizData quizData_init, int[] num_questions_init)
        {
            InitializeComponent();
            quizData = quizData_init;
            num_questions = num_questions_init;
            curr_question = 0;
            points = 0;

            this.Icon = (Icon)Properties.Resources.ResourceManager.GetObject("avatar2");
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void Next_Click(object sender, EventArgs e)
        {
            int name_curr_question = curr_question + 2;
            this.Text = "Вопрос " + name_curr_question;

            if ((curr_question >= 0) && (curr_question < quizData.count_questions_curr-1)) {
                int curr = num_questions[curr_question];
                int curr_ans = Int32.Parse(quizData.answers[curr, 3]);
                int ind_answer = 0;
                if (Int32.Parse(quizData.answers[curr, 3]) > 2)
                    MessageBox.Show("Задан некорректный номер ответа в файле answers!");

                if ((radioButton1.Checked == true) && (curr_ans == 0))
                    points++;
                else if ((radioButton2.Checked == true) && (curr_ans == 1))
                {
                    points++;
                    ind_answer = 1;
                }
                else if ((radioButton3.Checked == true) && (curr_ans == 2))
                {
                    points++;
                    ind_answer = 2;
                }

                string path_result = Directory.GetCurrentDirectory() + "/results.txt";
                
                string[] lines_result = new string[3];
                lines_result[0] = quizData.questions[num_questions[curr_question]] + "\n";
                File.AppendAllText(path_result, lines_result[0]);
                lines_result[1] = "Ваш ответ: " + quizData.answers[num_questions[curr_question], ind_answer] + "\n";
                File.AppendAllText(path_result, lines_result[1]);
                lines_result[2] = "Правильный ответ: " + quizData.answers[num_questions[curr_question], curr_ans] + "\n";
                File.AppendAllText(path_result, lines_result[2]);
                File.AppendAllText(path_result, "\n");

                curr_question++;
                curr = num_questions[curr_question];
                richTextBox1.Text = quizData.questions[curr];
                panel2.BackgroundImage = Image.FromFile(Directory.GetCurrentDirectory() + quizData.images[curr]);
                radioButton1.Text = quizData.answers[curr, 0];
                radioButton2.Text = quizData.answers[curr, 1];
                radioButton3.Text = quizData.answers[curr, 2];
            } else {
                int curr = num_questions[curr_question];
                int curr_ans = Int32.Parse(quizData.answers[curr, 3]);
                int ind_answer = 0;

                if (Int32.Parse(quizData.answers[curr, 3]) > 2)
                    MessageBox.Show("Задан некорректный номер ответа в файле answers!");

                if ((radioButton1.Checked == true) && (curr_ans == 0))
                    points++;
                else if ((radioButton2.Checked == true) && (curr_ans == 1))
                {
                    points++;
                    ind_answer = 1;
                }
                else if ((radioButton3.Checked == true) && (curr_ans == 2))
                {
                    points++;
                    ind_answer = 2;
                }

                string path_result = Directory.GetCurrentDirectory() + "/results.txt";
                string[] lines_result = new string[3];
                lines_result[0] = quizData.questions[num_questions[curr_question]] + "\n";
                File.AppendAllText(path_result, lines_result[0]);
                lines_result[1] = "Ваш ответ: " + quizData.answers[num_questions[curr_question], ind_answer] + "\n";
                File.AppendAllText(path_result, lines_result[1]);
                lines_result[2] = "Правильный ответ: " + quizData.answers[num_questions[curr_question], curr_ans] + "\n";
                File.AppendAllText(path_result, lines_result[2]);

                this.Hide();
                                
                Form4 results = new Form4(points, quizData.count_questions_curr);
                results.ShowDialog();
            }
            
        }
    }
}
